import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Totaller } from "../../../sdk";
import { FireEnjinFetchEvent, FireEnjinSubmitEvent } from "@fireenjin/sdk";
export declare class AppTotaller implements ComponentInterface {
  pathInputEl: HTMLIonInputElement;
  sumInputEl: HTMLIonInputElement;
  tabsEl: HTMLIonTabsElement;
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  totallerId: string;
  totaller: Partial<Totaller>;
  testTotals: any;
  totallerResults: {};
  totalsToView: {};
  totalsColor: {};
  totalsDocs: any[];
  graphLabels: any[];
  graphType: "line" | "pie" | "bar";
  graphDatasets: any[];
  onSuccess(event: any): Promise<void>;
  onChange(event: any): Promise<void>;
  setGraphData(): void;
  randomColor(): string;
  removePath(event: any, removeIndex: number): void;
  removeSum(event: any, sumName: string): void;
  addPath(event: any): void;
  addSum(event: any): void;
  fetchTotaller(): Promise<void>;
  testAdd(): void;
  testSubtract(): void;
  testReset(): void;
  runTotaller(action?: "add" | "edit" | "delete"): void;
  runTotallerForPath(path: any, action?: "add" | "edit" | "delete"): any;
  save(): Promise<void>;
  sync(): Promise<any>;
  rerunTotals(): Promise<void>;
  viewResults(): Promise<void>;
  componentWillLoad(): void;
  componentDidLoad(): Promise<void>;
  render(): any[];
}
